<template>
    <list-header></list-header>
    <list-table></list-table>
</template>
  
  <script lang="ts">
  import { date } from 'quasar'
  import { inject, provide, reactive, toRefs, defineComponent,onMounted } from 'vue';
  import useMetaModule from '../../module/meta/metaModule'
  import { useI18n } from 'vue-i18n'
  import { DirtionmaryHelper } from '../../config/dictionary';
  import ListHeader from 'src/components/vehicle/list/ListHeader.vue';
  import ListTable from 'src/components/vehicle/list/ListTable.vue';
  export default defineComponent({
    components: { ListHeader, ListTable },
    setup(props) {
      let { setTitle } = useMetaModule()
      const { t } = useI18n()
      const data= reactive({
        
      })
      
      const search = reactive({
        msg:{
            UseCompName: '',
            UseName: '',
            TeamName: '',
            StartTime: "",
            EndTime: '',
        }
      })
      provide(DirtionmaryHelper.TICKET_QUERY_PARAM, search)
      const methods = {
        
      }
      onMounted(()=>{
        
      })
      return {
        ...toRefs(data),
        ...methods
      }
    }
  })
  </script>
  
  <style>
  
  </style>
  